# FlagsDex | Privacy Policy

The following document explains what data is collected by FlagsDex.


## Glossary

- **"Application"** or **"Discord application"** refers to the Discord bot user, its associated owners and the servers is has
- **"Data"** refers to data stored by an individual instance, including personal data
- **"Bot"** or **"instance"** refers to the copy of the code running the Discord application, with its own data
- **"Collectible"** refers to any object that is meant to be collected, such as countryballs or other future means like virtual currency
- **"Application owners"** refers to the owners of the Discord application, meaning the one with any form of access to the application's authentication method and data belonging to the instance

- **"FlagsDex Maintainers"** or **"Developement Team"** refers to the owners of the Discord application and the users they may chose to be part of the development team.

## Open source

- The base code of FlagsDex is fully open sourced under the MIT licence and available at [The Official FlagsDex Repository](https://codeberg.org/Mintless/FlagsDex)

The instance is guaranteed to be running the latest open sourced version of the bot with no proprietary code being used


## Data Collection

FlagsDex collects the following data from Discord:

- User IDs, this is used to identify you inside our database
- Server (or guild) IDs, this is used to store settings necessary to the bot's operation
- Channel IDs, this is used to know in which channel should the collectibles spawn

### In addition, the following data proper to FlagsDex is created and used:

- The list of collectibles owned by a user of the service
- A history of trades done on collectibles, including the users that once owned the said collectible but do not anymore
- How the data is stored
- All data is stored in a PostgreSQL database, running self hosted at my house, encrypted.
- Interaction between the bot and the database server is exclusively local using Tortoise ORM.
- Access to the data
- The only persons allowed to access the data are the application owners.


Any application owner may interact with the bot and the administrator interface. Only HiboMan has direct access on the host machine.
The FlagsDex moderation teams do not have access to the data.
The data may never be made available to the public, and its access must be secured accordingly.


Your rights
You may request a copy or the delection of your personal data held by the application by opening an ticket on our support server  > SOFTWARE.

</details>

**The instance is guaranteed to be running an exact copy of the code made open source.** The version may not be the latest available (check `/about`), but no local changes will be made. This may change, but users should be notified in the [Discord server](https://discord.gg/flags) about such change.

You may check the source code and see how the data is managed, in addition to the following policy.

## What data is collected

FlagsDex collects the following data from Discord:

- User IDs, this is used to identify you inside our database
- Server (or guild) IDs, this is used to store settings necessary to the bot's operation
- Channel IDs, this is used to know in which channel should the collectibles spawn

In addition, the following data proper to FlagsDex is created and used:

- The list of collectibles owned by a user of the service
- A history of trades done on collectibles, including the users that once owned the said collectible but do not anymore

## How the data is stored

All data is stored in a PostgreSQL database, running self hosted at my house, encrypted.

Interaction between the bot and the database server is exclusively local using [Tortoise ORM](https://github.com/tortoise/tortoise-orm).

## Access to the data

The only persons allowed to access the data are the application owners.

Any application owner may interact with the bot and the administrator interface. Only `HiboMan` has direct access on the host machine.

The FlagsDex moderation teams do not have access to the data.

The data may never be made available to the public, and its access must be secured accordingly.

## Your rights

You may request a copy or the deletion of your player data held by the database by contacting the application owners. The recommended way is opening a ticket in our discord server, https://discord.gg/flags).

----

Last updated 31th May 2024